Skip to content

Services

All operations require authentication.

5 operationsv1/email/mxplan
Agent setup

List MX Plan servicesProduction

GET
/1.0/email/mxplan

List MX Plan services. Returns the names of the MX Plan services of the account. Filter them by IAM tags with iamTags.

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/email/mxplan \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get the MX Plan serviceProduction

GET
/1.0/email/mxplan/{service}

Get the MX Plan service. Returns the state, offer, hostname and web interface URL of the service, its message size limits, its password and lockout policy, and its spam and virus configuration.

Path parameters

service
required
string

The internal name of your mxplan organization

Response

200ServiceWithIAMsuccessful operation
complexityEnabled
boolean

enable policy for strong and secure passwords

displayName
string

service displayName

domain
read-only
string

Domain name of your service

hostname
read-only
string

Hostname of your service

iam
read-only
ResourceMetadata

IAM resource metadata

isZimbra
read-only
boolean

Service use Zimbra as backend

lastUpdateDate
read-only
stringdate-time

Update date

lockoutDuration
integer

number of minutes account will remain locked if it occurs

lockoutObservationWindow
integer

number of minutes that must elapse after a failed logon to reset lockout trigger

lockoutThreshold
integer

number of attempts before account to be locked

maxPasswordAge
integer

maximum number of days that account's password is valid before expiration

maxReceiveSize
integer

Maximum message size that You can receive in MB

maxSendSize
integer

Maximum message size that You can send in MB

minPasswordAge
integer

minimum number of days before able to change account's password

minPasswordLength
integer

minimum number of characters password must contain

offer
read-only
ServiceOfferEnum

Type of your offer

ValuesMXPLAN
spamAndVirusConfiguration
spamAndVirusConfiguration

Spam and Antivirus configuration

state
read-only
ServiceStateEnum

State of your service

ValuescreatingdeletinginMaintenanceokreopeningsuspendedsuspending
taskPendingId
read-only
integer

Task pending id

webUrl
read-only
string

URL for web interface

Example uses service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/mxplan/{service} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "complexityEnabled": true, "displayName": "string", "domain": "string", "hostname": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "isZimbra": true, "lastUpdateDate": "2024-01-01T12:00:00Z", "lockoutDuration": 0, "lockoutObservationWindow": 0, "lockoutThreshold": 0, "maxPasswordAge": 0, "maxReceiveSize": 0, "maxSendSize": 0, "minPasswordAge": 0, "minPasswordLength": 0, "offer": "MXPLAN", "spamAndVirusConfiguration": { "checkDKIM": true, "checkSPF": true, "deleteSpam": true, "deleteVirus": true, "putInJunk": true, "tagSpam": true, "tagVirus": true }, "state": "creating", "taskPendingId": 0, "webUrl": "string"}

Update the MX Plan serviceProduction

PUT
/1.0/email/mxplan/{service}

Update the MX Plan service. Updates the display name, message size limits, password and lockout policy, and spam and virus configuration of the service.

Path parameters

service
required
string

The internal name of your mxplan organization

Request body (required)

complexityEnabled
boolean

enable policy for strong and secure passwords

displayName
string

service displayName

domain
read-only
string

Domain name of your service

hostname
read-only
string

Hostname of your service

isZimbra
read-only
boolean

Service use Zimbra as backend

lastUpdateDate
read-only
stringdate-time

Update date

lockoutDuration
integer

number of minutes account will remain locked if it occurs

lockoutObservationWindow
integer

number of minutes that must elapse after a failed logon to reset lockout trigger

lockoutThreshold
integer

number of attempts before account to be locked

maxPasswordAge
integer

maximum number of days that account's password is valid before expiration

maxReceiveSize
integer

Maximum message size that You can receive in MB

maxSendSize
integer

Maximum message size that You can send in MB

minPasswordAge
integer

minimum number of days before able to change account's password

minPasswordLength
integer

minimum number of characters password must contain

offer
read-only
ServiceOfferEnum

Type of your offer

ValuesMXPLAN
spamAndVirusConfiguration
spamAndVirusConfiguration

Spam and Antivirus configuration

state
read-only
ServiceStateEnum

State of your service

ValuescreatingdeletinginMaintenanceokreopeningsuspendedsuspending
taskPendingId
read-only
integer

Task pending id

webUrl
read-only
string

URL for web interface

Response

200—successful operation

Example uses service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/mxplan/{service} \
  -H "authorization: Bearer $OVH_TOKEN"

Get the serverProduction

GET
/1.0/email/mxplan/{service}/server

Get the server. Returns the state, IPv4 and IPv6 addresses, version and disk usage of the server, and whether its A, AAAA and PTR DNS records are valid.

Path parameters

service
required
string

The internal name of your mxplan organization

Response

200Serversuccessful operation
currentDiskUsage
read-only
integer

Current disk usage in MB

diskSize
read-only
integer

Total disk size in MB

ip
read-only
ipv4

ipV4

ipV6
read-only
ipv6

ipV6

isAValid
read-only
boolean

If true your dns A record is valid

isAaaaValid
read-only
boolean

If true your dns AAAA record is valid

isPtrV6Valid
read-only
boolean

If true your dns ptrV6 record is valid

isPtrValid
read-only
boolean

If true your dns ptr record is valid

state
read-only
ServerStateEnum

Server state

ValuesconfigurationPendingnotConfiguredok
taskPendingId
read-only
integer

Task pending id

version
read-only
integer

Server version

Example uses service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/mxplan/{service}/server \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "currentDiskUsage": 0, "diskSize": 0, "ip": "192.0.2.0", "ipV6": "2001:41d0:1:1994::1", "isAValid": true, "isAaaaValid": true, "isPtrV6Valid": true, "isPtrValid": true, "state": "configurationPending", "taskPendingId": 0, "version": 0}

Update spam and virus flagsProduction

POST
/1.0/email/mxplan/{service}/updateFlagsOnAllAccounts

Update spam and virus flags. Updates the spam and virus flags of all the active email accounts of the service.

Path parameters

service
required
string

The internal name of your mxplan organization

Response

200—successful operation

Example uses service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/mxplan/{service}/updateFlagsOnAllAccounts \
  -H "authorization: Bearer $OVH_TOKEN"